Retrieve Operator details
curl --request GET \
--url https://api.area.club/lat/operators/{address}import requests
url = "https://api.area.club/lat/operators/{address}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.area.club/lat/operators/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"operatorAddress": "0xa4e245c3a1cb2f0512a71b9cd908dca2f1641781",
"metadata": {
"metadataName": "Kiln",
"metadataDescription": "Kiln is the leading staking platform with over $7B stake under management, running over 4% of the Ethereum network.",
"metadataDiscord": "",
"metadataLogo": "https://raw.githubusercontent.com/kilnfi/public/main/icon.png",
"metadataTelegram": "",
"metadataWebsite": "https://kiln.fi",
"metadataX": "https://twitter.com/Kiln_finance",
"totalStakers": 1730,
"tvl": 14045.306990857485
},
"liquidTokens": [
"0xaa4398a908cae395dff7f5d620e5899905b52723"
],
"stakerNodeAssets": [
{
"nodeAddress": "0x5696191d573b3cf282886028ad94edb8f586dba4",
"nodeId": 2,
"assets": [
{
"asset": "0x3f1c547b21f65e10480de3ad8e19faac46c95034",
"strategy": "0x7D704507b76571a51d9caE8AdDAbBFd0ba0e63d3",
"stakedAmount": "338936078743497835",
"eigenLayerShares": "402974731021952492"
}
]
}
],
"tvl": {
"tvl": 0.6666606411338315,
"tvlStrategies": {
"stETH": 0.33879547162730034,
"sfrxETH": 0.2978332589227976
},
"tvlStrategiesEth": {
"stETH": 0.33814533238964134,
"sfrxETH": 0.32851530874419016
}
}
}
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}LAT Data API
Retrieve Operator details
Returns details about an Operator including metadata, LATs where Operator is delegated to, Staker Nodes info for whome this Operator is a delegation, and optionally TVL given to the Operator from all LATs.
GET
/
lat
/
operators
/
{address}
Retrieve Operator details
Path Parameters
Address of the Operator
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0xdbed88d83176316fc46797b43adee927dc2ff2f5"
Query Parameters
Toggle whether the route should calculate the TVL from shares
Available options:
true, false Example:
"false"
Response
Operator details
Show child attributes
Show child attributes
⌘I